/**
 * @file
 * Default JavaScript file for Block Class.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.blockClass = {
    attach: function (context, settings) {

      // Get the default case of Block Class.
      var default_case = 'standard';

      if (typeof settings.block_class != 'undefined' && settings.block_class.default_case != 'undefined') {

        default_case = settings.block_class.default_case;



        if (default_case != 'standard') {

          if (default_case == 'uppercase') {

            $('#edit-third-party-settings-block-class-classes, .block-class-bulk-operations-insert-classes_to_be_added, .block-class-bulk-operations-update-class-new-class').keyup(function() {
              $(this).val($(this).val().toUpperCase());
            });

          }
          else {

            $('#edit-third-party-settings-block-class-classes, .block-class-bulk-operations-insert-classes_to_be_added, .block-class-bulk-operations-update-class-new-class').keyup(function() {
              $(this).val($(this).val().toLowerCase());
            });

          }
        }
      }

    }
  };
})(jQuery, Drupal, drupalSettings);
